cURL
curl -X POST "https://app.cotool.ai/api/trigger/:source/:triggerId" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"example":"any_value","note":"This field can contain any type of data"}'import requests
url = "https://app.cotool.ai/api/trigger/{source}/{triggerId}"
payload = "<unknown>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify('<unknown>')
};
fetch('https://app.cotool.ai/api/trigger/{source}/{triggerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/trigger/{source}/{triggerId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("\"<unknown>\"")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/trigger/{source}/{triggerId}"
payload := strings.NewReader("\"<unknown>\"")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"executionId": "<string>"
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}Agent Triggers
Webhook trigger
Invoke an agent trigger via incoming webhook. External services post to this endpoint.
POST
/
api
/
trigger
/
{source}
/
{triggerId}
cURL
curl -X POST "https://app.cotool.ai/api/trigger/:source/:triggerId" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"example":"any_value","note":"This field can contain any type of data"}'import requests
url = "https://app.cotool.ai/api/trigger/{source}/{triggerId}"
payload = "<unknown>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify('<unknown>')
};
fetch('https://app.cotool.ai/api/trigger/{source}/{triggerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/trigger/{source}/{triggerId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("\"<unknown>\"")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/trigger/{source}/{triggerId}"
payload := strings.NewReader("\"<unknown>\"")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"executionId": "<string>"
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Path Parameters
Source system sending the webhook (jira, jira-automation, slack, linear, webhook, bugcrowd, hackerone, zscaler, darktrace)
Available options:
jira, jira-automation, slack, linear, webhook, bugcrowd, hackerone, zscaler, darktrace Unique identifier of the trigger to invoke
Body
application/json
Body of the webhook request. This can be any value, and it will be passed as input to the agent.
Response
Successful response
- Option 1
- Option 2
- Option 3
Response from webhook trigger containing execution ID, skip message, or error message
Unique identifier for the agent execution
Was this page helpful?
⌘I